OpenTV ENTera & OpenTV Platform Documentation
26.26_Q2 25.52_Q4 25.26_Q2 25.12_Q1 24.50_Q4 24.38_Q3 24.26_Q2 23.50_Q4 23.24_Q2 23.12_Q1 22.50_Q4 22.38_Q3 22.24_Q2
26.26_Q2 25.52_Q4 25.26_Q2 25.12_Q1 24.50_Q4 24.38_Q3 24.26_Q2 23.50_Q4 23.24_Q2 23.12_Q1 22.50_Q4 22.38_Q3 22.24_Q2

Error logging

Common fields

The following fields must be included in every request body:

  • accountId – the account ID

  • userId – must be an empty string

  • deviceId – the device ID

  • key – must be an empty string

  • name – the activity name

  • timestamp – the activity timestamp in <YYYY>-<MM>-<DD>T<hh>:<mm>:<ss>Z format

These fields are not included in the examples in the following table.

Activity name

Trigger

Description

Required data fields


Notes

Examples

playerError

Log client side errors as required.

Where required, useful to capture basic error information that relates to the user experience.

appSessionId
playbackSessionId
editorialId
errorCode
errorMsg
playerTypeversion
deviceId
accountId
userId

Not to be used for logging or debugging. Use sparingly where the error will have impacted the user and would provide value for reporting. 

Request:

Bash
POST https://host/useractivityvault/v1/useractivity/playerError

Content type: live-event

JSON
{
  ...
  "metadata": {
    "appSessionId": "{UUID|GUID}",
    "playbackSessionId": "{UUID|GUID}",
    "contentSource": <"IPTV"|"OTT"|"Blend">,
    "contentType": "live-event",
    "editorialId": "{editorial_channel_ID}",
    "technicalId": "{technical_channel_ID}",
    "programmeId": "{programme_ID}",
    "errorCode": "{error_code}",
    "errorMsg": "{error_message}",
    "playerTypeVersion": "{player_type_version}"
  }
  ...
}

Note that for the live-event content type, you need to specify:

  • editorialId – the editorial channel ID

  • technicalId – the technical channel ID

  • programmeId – the programme ID

Content type: live-stcu-event

JSON
{
  ...
  "metadata": {
    "appSessionId": "{UUID|GUID}",
    "playbackSessionId": "{UUID|GUID}",
    "contentSource": <"IPTV"|"OTT"|"Blend">,
    "contentType": "live-stcu-event",
    "editorialId": "{editorial_ID_of_the_event}",
    "errorCode": "{error_code}",
    "errorMsg": "{error_message}",
    "playerTypeVersion": "{player_type_version}"
  }
  ...
}

Note that for the live-stcu-event content type, you need to specify:

  • editorialId – the editorial ID of the event

Content type: start-over

JSON
{
  ...
  "metadata": {
    "appSessionId": "{UUID|GUID}",
    "playbackSessionId": "{UUID|GUID}",
    "contentSource": <"IPTV"|"OTT"|"Blend">,
    "contentType": "start-over",
    "editorialId": "{editorial_ID_of_the_event}",
    "errorCode": "{error_code}",
    "errorMsg": "{error_message}",
    "playerTypeVersion": "{player_type_version}"
  }
  ...
}

Note that for the start-over content type, you need to specify:

  • editorialId – the editorial ID of the event

Content type: ltcu

JSON
{
  ...
  "metadata": {
    "appSessionId": "{UUID|GUID}",
    "playbackSessionId": "{UUID|GUID}",
    "contentSource": <"IPTV"|"OTT"|"Blend">,
    "contentType": "vod-ed",
    "editorialId": "{editorial_content_ID}",
    "errorCode": "{error_code}",
    "errorMsg": "{error_message}",
    "playerTypeVersion": "{player_type_version}"
  }
  ...
}

Note that for the ltcu content type, you need to specify:

  • editorialId – the editorial content ID

Content type: npvr-event 

JSON
{
  ...
  "metadata": {
    "appSessionId": "{UUID|GUID}",
    "playbackSessionId": "{UUID|GUID}",
    "contentSource": <"IPTV"|"OTT"|"Blend">,
    "contentType": "npvr-event",
    "editorialId": "{content_ID}",
    "errorCode": "{error_code}",
    "errorMsg": "{error_message}",
    "playerTypeVersion": "{player_type_version}"
  }
  ...
}

Note that for the npvr-event content type, you need to specify:

  • editorialId – the content ID

Content type: vod-ed

JSON
{
  ...
  "metadata": {
    "appSessionId": "{UUID|GUID}",
    "playbackSessionId": "{UUID|GUID}",
    "contentSource": <"IPTV"|"OTT"|"Blend">,
    "contentType": "vod-ed",
    "editorialId": "{editorial_content_ID}",
    "errorCode": "{error_code}",
    "errorMsg": "{error_message}",
    "playerTypeVersion": "{player_type_version}"
  }
  ...
}

Note that for the vod-ed content type, you need to specify:

  • editorialId – the editorial content ID

appError

Log errors as required.

Where required, useful to capture app error information that relates to the user experience.

appSessionId
errorCode
errorMsg
deviceId
accountId

Not to be used for logging or debugging. Use sparingly where the error will have impacted the user and would provide value for reporting.

 

 

Request:

Bash
POST https://host/useractivityvault/v1/useractivity/appError
JSON
{
  ...
  "metadata": {
    "appSessionId": "{UUID|GUID}",
    "errorCode": "{error_code}",
    "errorMsg": "{error_message}",
    "errorScreenRef": "{identifier_for_the_app_screen}",
    "deviceId": "{deviceId}",
    "accountId": "{accountId}",
    "userId": "{userId}"
  }
  ...
}